Transcend Docs
API referenceCustom integration

Respond to an access request (file stream upload)

POST
/v1/datapoint

If you need to upload a file (e.g. photos, movies, audio, PDFs, etc.), use this endpoint to send a binary stream to the Datapoint within the integration. Unlike /v1/data-silo, this uploads to one datapoint only, rather than several at once.

Authorization

Transcend_API_Key API Key must be associated to this integration
headerAuthorizationBearer <token>

authorization: Bearer <>

Scope: API Key must be associated to this integration

Header Parameters

authorization*string

An API key generated from the Transcend dashboard: https://app.transcend.io/infrastructure/api-keys.

x-sombra-authorization?string

The Sombra internal key. This header is only needed for self-hosted Sombra gateways. See https://docs.transcend.io/docs/dsr-automation/api-integration/authentication#authenticating-to-sombra

x-transcend-nonce*string

A reusable token sent in Transcend's webhook for this job, and returned by you when uploading the result of this job back to Transcend. Called a 'nonce' for legacy reasons, but is actually reusable.

x-transcend-datapoint-name*string

The Datapoint to upload this file to (e.g. profile_picture). The keys should match a datapoint key you defined for this integration.

content-length*string

The size of the file in bytes. Required when uploading via the default pre-signed upload path.

x-transcend-sombra-content-type?string

The MIME type of the file being uploaded (e.g. image/png). Used as the primary hint when detecting the file type. If omitted, Transcend falls back to the request content-type header and then to content-based detection.

x-transcend-profile-id?string

[DEPRECATED] The profile identifier that is being reported. You should not use this header if you are using multi tenant Sombra or have a Sombra version at or above 7.182.0. For recent versions of Sombra, the profile identifier is encoded within the nonce.

x-transcend-remote-id?string

Optional: the name of the file that will be downloaded. If not provided, defaults to the "{datapoint name} (#)".

x-transcend-skip-status-update?boolean

If true, the status of the Datapoint will not automatically update to "resolved" after you upload a file. This is useful when uploading multiple files to a Datapoint. Set this to false on your final upload to update the status of the Datapoint to "resolved".

Defaultfalse
x-transcend-overwrite-file?boolean

When supplying x-transcend-remote-id in an upload, Transcend will by default overwrite a previously-uploaded file with the same x-transcend-remote-id (when this header is omitted, it defaults to true). To disable this behavior, set x-transcend-overwrite-file to false. If disabled, a remote-id conflict will result in an HTTP 400 error.

Defaulttrue

Request Body

You can also upload a file to a specific Datapoint for a given profile.

This is an octet stream of a file you want to upload.

Note the Datapoint name and Profile ID should be included as headers. You may remember these values from /v1/data-silo, but they were included in the JSON body. Because we're streaming a file, these values are in an HTTP header for this request.

body?fileapplication/octet-stream
Formatbinary

Response Body

Your request was received without an issue.

application/json
  1. response
Example Request
curl -X POST 'https://multi-tenant.sombra.transcend.io/v1/datapoint' \  -H 'authorization: string' \  -H 'x-transcend-nonce: string' \  -H 'x-transcend-datapoint-name: string' \  -H 'content-length: string' \  -H 'Content-Type: application/octet-stream' \  -d 'string'
Example Response
{}